/**
 * Created by yexb on 2017-08-02
 */
/********************************************
JS初始化百度地图
*******************************************/
var map;
var blfirstload = true;//首次登录界面
$(document).ready(function () {
	//初始化地图
	initMap();
});

var markers = [];//需要聚合的监测点
function initMap() {
	map =  getGISMap("rightContent",true,true,9);

   //地图加载完毕事件
   map.addEventListener("tilesloaded",function(){
   	if(blfirstload){
   		//数据获取
   		getLineMapByAssID();
       	blfirstload = false;
   	}
   });
}

/********************************************
获取所有监测点信息
*******************************************/
var myVar;
function getLineMapByAssID(){
	var eventass_index=$("#eventass_index").val();
	eventass_index=filterXSS(eventass_index);
	$.ajax({
		type : "POST",
		data : {
			eventass_index : eventass_index
		},
		url : "/pqs9200/overview/queryLineMapByAssID",
		dataType : "text",
		success : function(data) {
			var info = $.parseJSON(data);
			//取数据失败，则进行不进行操作
			if (info.code == 500) {
                layer.msg(info.message,{icon:2,time:2000});
			} else {
				if (info.body != null) {
					var dataarr =parent.parent.getLineMaps(false,false);
					//把数据打到地图上去，供电公司，监测点，供电公司跟监测点连线
				    var gisinfo = drawElement(dataarr,map,2);
				    var tmpmarkers = gisinfo.pointMarkers;
					
					//开始遍历所有的数据
					for (var i = 0;i < info.body.length; i++) {
						for(var j = 0;j < tmpmarkers.length;j++){
							if(info.body[i].lineindex ==tmpmarkers[j].index){
								markers.push(tmpmarkers[j]);
								break;
							}
						}
					}			     
				   drowCircle();
			   }
			}
		 }
	});
}

function drowCircle(){
	getRangeAnalysis(map,markers);
}
